Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We鈥檒l occasionally send you account related emails.

Already on GitHub? Sign in to your account

9.0.0-rc.4 build - ng serve - freeze #16326

Closed
igorroman777 opened this issue Dec 1, 2019 · 9 comments
Closed

9.0.0-rc.4 build - ng serve - freeze #16326

igorroman777 opened this issue Dec 1, 2019 · 9 comments

Comments

@igorroman777
Copy link

@igorroman777 igorroman777 commented Dec 1, 2019

馃悶 Bug report

ng serve

Description

92% additional asset processing scripts-webpack-plugin

Angular CLI: 9.0.0-rc.4
Node: 12.13.1
OS: linux x64

Angular: 9.0.0-rc.4
... animations, cdk, cli, common, compiler, compiler-cli, core
... forms, language-service, material, material-moment-adapter
... platform-browser, platform-browser-dynamic, platform-server
... router
Ivy Workspace: Yes

Package Version

@angular-devkit/architect 0.900.0-rc.4
@angular-devkit/build-angular 0.900.0-rc.4
@angular-devkit/build-optimizer 0.900.0-rc.4
@angular-devkit/build-webpack 0.900.0-rc.4
@angular-devkit/core 9.0.0-rc.4
@angular-devkit/schematics 9.0.0-rc.4
@ngtools/webpack 9.0.0-rc.4
@schematics/angular 9.0.0-rc.4
@schematics/update 0.900.0-rc.4
rxjs 6.5.3
typescript 3.6.4
webpack 4.41.2

@alan-agius4

This comment has been minimized.

Copy link
Collaborator

@alan-agius4 alan-agius4 commented Dec 1, 2019

Hi, would you kindly be able to provide a reproduction? Which scripts do you have configured?

@igorroman777

This comment has been minimized.

Copy link
Author

@igorroman777 igorroman777 commented Dec 1, 2019

Hi,
I have updated my project from Angular 8 to 9. It worked before. But now I do:
ng serve and stay with the message:
92% additional asset processing scripts-webpack-plugin

My package.json:
{
"name": "client",
"version": "0.0.0",
"scripts": {
"ng": "ng",
"postinstall": "ngcc --properties es2015 browser module main --first-only --create-ivy-entry-points",
"start": "ng serve",
"build": "ng build",
"test": "ng test",
"lint": "ng lint",
"e2e": "ng e2e"
},
"private": true,
"dependencies": {
"@angular/animations": "^9.0.0-rc.4",
"@angular/cdk": "^9.0.0-rc.4",
"@angular/common": "^9.0.0-rc.4",
"@angular/compiler": "^9.0.0-rc.4",
"@angular/core": "^9.0.0-rc.4",
"@angular/forms": "^9.0.0-rc.4",
"@angular/material": "^9.0.0-rc.4",
"@angular/material-moment-adapter": "^9.0.0-rc.4",
"@angular/platform-browser": "^9.0.0-rc.4",
"@angular/platform-browser-dynamic": "^9.0.0-rc.4",
"@angular/platform-server": "^9.0.0-rc.4",
"@angular/router": "^9.0.0-rc.4",
"@fortawesome/fontawesome-free": "^5.11.2",
"@ngx-translate/core": "^11.0.1",
"@ngx-translate/http-loader": "^4.0.0",
"@types/chart.js": "^2.9.2",
"bootstrap": "^4.4.1",
"chart.js": "^2.9.3",
"classlist.js": "^1.1.20150312",
"core-js": "^3.4.5",
"fibers": "^4.0.2",
"intersection-observer": "^0.7.0",
"moment": "^2.24.0",
"ng-uikit-pro-standard": "git+https://xxxxxx@git.mdbootstrap.com/mdb/angular/ng-uikit-pro-standard.git",
"popper.js": "^1.16.0",
"rxjs": "^6.5.3",
"rxjs-compat": "^6.5.3",
"rxjs-tslint": "^0.1.7",
"screenfull": "^5.0.0",
"tslib": "^1.10.0",
"web-animations-js": "^2.3.2",
"zone": "^0.3.4",
"zone.js": "~0.10.2"
},
"devDependencies": {
"@angular-devkit/build-angular": "^0.900.0-rc.4",
"@angular/cli": "^9.0.0-rc.4",
"@angular/compiler-cli": "^9.0.0-rc.4",
"@angular/language-service": "^9.0.0-rc.4",
"@types/jasmine": "^3.5.0",
"@types/jasminewd2": "^2.0.8",
"@types/node": "^12.12.14",
"codelyzer": "^5.1.2",
"gzipper": "^3.4.1",
"jasmine-core": "^3.5.0",
"jasmine-spec-reporter": "^4.2.1",
"karma": "^4.4.1",
"karma-chrome-launcher": "^3.1.0",
"karma-coverage-istanbul-reporter": "^2.1.1",
"karma-jasmine": "^2.0.1",
"karma-jasmine-html-reporter": "^1.4.2",
"protractor": "^5.4.2",
"ts-node": "^8.5.4",
"tslint": "^5.20.1",
"typescript": "3.6.4"
},
"browserslist": [
"> 1%",
"last 2 versions"
]
}

@alan-agius4

This comment has been minimized.

Copy link
Collaborator

@alan-agius4 alan-agius4 commented Dec 2, 2019

This seems like a bug but we'll need to look at a reproduction to find and fix the problem. Can you setup a minimal repro please?

You can read here why this is needed. A good way to make a minimal repro is to create a new app via ng new repro-app and adding the minimum possible code to show the problem. Then you can push this repository to github and link it here.

This might be related to your directory structure so its really important to get an accurate repro to diagnose this.

@igorroman777

This comment has been minimized.

Copy link
Author

@igorroman777 igorroman777 commented Dec 2, 2019

Hi Alan @alan-agius4,
my repro-project for bug is hier:
https://github.com/igorroman777/angular-9-ng-bug.git

After "ng -serve" I come, I get this "92% additional asset processing scripts-webpack-plugin"
and nothing else happens. :(
Thanks

@b-johnse

This comment has been minimized.

Copy link

@b-johnse b-johnse commented Dec 2, 2019

I had a similar issue going from latest 8 to 9-rc.4, but mine hangs at "93% after chunk asset optimization SourceMapDevToolPlugin"

When I do an ng v, I can see that ng update @angular/cli@next did not upgrade all the angular-devkit dependencies from 8.3.14 to the rc4 versions.

@angular-devkit/architect 0.803.14
@angular-devkit/build-angular 0.900.0-rc.4
@angular-devkit/build-optimizer 0.900.0-rc.4
@angular-devkit/build-webpack 0.900.0-rc.4
@angular-devkit/core 8.3.14
@angular-devkit/schematics 8.3.14
@angular/pwa 0.900.0-rc.4
@ngtools/webpack 9.0.0-rc.4
@nguniversal/express-engine 8.1.1
@nguniversal/module-map-ngfactory-loader 8.1.1
@schematics/angular 9.0.0-rc.4
@schematics/update 0.900.0-rc.4
rxjs 6.5.3
typescript 3.6.4
webpack 4.39.2

getting rid of node_modules and package.lock and doing a fresh install took care of it though

@igorroman777

This comment has been minimized.

Copy link
Author

@igorroman777 igorroman777 commented Dec 2, 2019

Hi Brandon @b-johnse,
but I've updated everything:

Angular CLI: 9.0.0-rc.4
Node: 12.13.1
OS: linux x64

Angular: 9.0.0-rc.4
... animations, cdk, cli, common, compiler, compiler-cli, core
... forms, language-service, material, material-moment-adapter
... platform-browser, platform-browser-dynamic, platform-server
... router
Ivy Workspace: Yes

Package Version

@angular-devkit/architect 0.900.0-rc.4
@angular-devkit/build-angular 0.900.0-rc.4
@angular-devkit/build-optimizer 0.900.0-rc.4
@angular-devkit/build-webpack 0.900.0-rc.4
@angular-devkit/core 9.0.0-rc.4
@angular-devkit/schematics 9.0.0-rc.4
@ngtools/webpack 9.0.0-rc.4
@schematics/angular 9.0.0-rc.4
@schematics/update 0.900.0-rc.4
rxjs 6.5.3
typescript 3.6.4
webpack 4.41.2

@clydin

This comment has been minimized.

Copy link
Member

@clydin clydin commented Dec 3, 2019

When I tried to perform a build (ng build --prod), I receive an error:

ENOENT: no such file or directory, open '.../angular-9-ng-bug/node_modules/hammerjs/hammer.min.js'

Manually verifying the file existence resulted in the same conclusion. The package also appears to not present in the project's package.json.

@igorroman777

This comment has been minimized.

Copy link
Author

@igorroman777 igorroman777 commented Dec 3, 2019

Hi @clydin ,
Thanks for the guy. I installed hammerjs and I'm running it, I'm getting other problems:

WARNING in Conflict: Multiple assets emit different content to the same filename 3rdpartylicenses.txt

ERROR in multi ./src/styles-app-loading.scss ./node_modules/ng-uikit-pro-standard/assets/scss/bootstrap/bootstrap.scss ./node_modules/ng-uikit-pro-standard/assets/scss/mdb.scss ./src/styles.scss ./node_modules/@fortawesome/fontawesome-free/scss/fontawesome.scss ./node_modules/@fortawesome/fontawesome-free/scss/regular.scss ./node_modules/@fortawesome/fontawesome-free/scss/solid.scss ./node_modules/@fortawesome/fontawesome-free/scss/brands.scss ./src/unicorn-dark-theme.scss
Module not found: Error: Can't resolve '/home/igor/workspace-mars/angular-9-ng-bug/ng-bug/node_modules/ng-uikit-pro-standard/assets/scss/bootstrap/bootstrap.scss' in '/home/igor/workspace-mars/angular-9-ng-bug/ng-bug'

@clydin

This comment has been minimized.

Copy link
Member

@clydin clydin commented Dec 6, 2019

That appears to be a similar issue in that node_modules/ng-uikit-pro-standard/assets/scss/bootstrap/bootstrap.scss is not found.
It is important to ensure that all required dependencies for application code are present prior to attempting a build.

Closing the issue as this doesn't appear to be a defect in the Angular CLI itself.

@clydin clydin closed this Dec 6, 2019
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
4 participants
You can鈥檛 perform that action at this time.